Show / Hide Table of Contents

# Class TextDocumentPosition

Defines a position in a text document.

##### Inheritance

System.Object
TextDocumentPosition
ReferencesParams

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Workspace.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class TextDocumentPosition

### Properties

| Improve this Doc View Source

#### Position

Gets or sets the position in the document.

##### Declaration

    public Position Position { get; set; }

##### Property Value

Type | Description
--- | ---
Position |

| Improve this Doc View Source

#### TextDocument

Gets or sets the document identifier.

##### Declaration

    public TextDocumentIdentifier TextDocument { get; set; }

##### Property Value

Type | Description
--- | ---
TextDocumentIdentifier |